Skip to content
Permalink
Browse files
configure.ac: Fix gnutls version check
This version number is hexadecimal

See gnutls/gnutls.h

 #define GNUTLS_VERSION "3.6.13"
 #define GNUTLS_VERSION_MAJOR 3
 #define GNUTLS_VERSION_MINOR 6
 #define GNUTLS_VERSION_PATCH 13
 #define GNUTLS_VERSION_NUMBER 0x03060d

Signed-off-by: Manuel Rüger <manuel@rueg.eu>
  • Loading branch information
mrueg committed Apr 1, 2020
1 parent 9377c0e commit adf29eb996ef38fe06d2801aa349ff008fa57040
Showing with 1 addition and 1 deletion.
  1. +1 −1 configure.ac
@@ -534,7 +534,7 @@ case "$ssl_library" in
if test "$with_gnutls_version_check" != "no"; then
AC_MSG_CHECKING([for known-broken versions of GnuTLS])
AC_COMPILE_IFELSE([AC_LANG_PROGRAM([#include <gnutls/gnutls.h>],
[#if GNUTLS_VERSION_NUMBER >= 0x030603 && GNUTLS_VERSION_NUMBER <= 0x030612
[#if GNUTLS_VERSION_NUMBER >= 0x030603 && GNUTLS_VERSION_NUMBER <= 0x03060c
#error Bad GnuTLS
#endif
])],

0 comments on commit adf29eb

Please sign in to comment.